gi.repository.GLib.GError: pk-client-error-quark: could not do untrusted question as no klass support

Bug #1829401 reported by errors.ubuntu.com bug bridge on 2019-05-16
98
This bug affects 27 people
Affects Status Importance Assigned to Milestone
software-properties (Ubuntu)
High
William Wilson
Eoan
Medium
William Wilson
Focal
High
William Wilson
Groovy
High
William Wilson

Bug Description

The Ubuntu Error Tracker has been receiving reports about a problem regarding software-properties. This problem was most recently seen with package version 0.98.2, the problem page at https://errors.ubuntu.com/problem/300ff7bf9068dc50ace4c5db5c4a34ba0dfc926d contains more details, including versions of packages affected, stacktrace or traceback, and individual crash reports.
If you do not have access to the Ubuntu Error Tracker and are a software developer, you can request it at http://forms.canonical.com/reports/.

[Back trace]
Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/DialogCacheOutdated.py", line 86, in on_pktask_finish
    results = self._pktask.generic_finish(result)
gi.repository.GLib.GError: pk-client-error-quark: could not do untrusted question as no klass support (8)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3/dist-packages/softwareproperties/gtk/DialogCacheOutdated.py", line 89, in on_pktask_finish
    Gtk.ButtonsType.CANCEL, _("Error while refreshing cache"))
  File "/usr/lib/python3/dist-packages/gi/overrides/__init__.py", line 319, in new_init
    return super_init_func(self, **new_kwargs)
  File "/usr/lib/python3/dist-packages/gi/overrides/Gtk.py", line 575, in __init__
    self._init(*args, **new_kwargs)
  File "/usr/lib/python3/dist-packages/gi/overrides/__init__.py", line 319, in new_init
    return super_init_func(self, **new_kwargs)
  File "/usr/lib/python3/dist-packages/gi/overrides/Gtk.py", line 521, in __init__
    _window_init(self, *args, **kwargs)
  File "/usr/lib/python3/dist-packages/gi/overrides/__init__.py", line 319, in new_init
    return super_init_func(self, **new_kwargs)
TypeError: could not convert value for property `transient_for' from DialogCacheOutdated to GtkWindow

[Impact]

 * If selected mirrors are not reachable or have
   expired GPG keys, software-properties-gtk
   would crash

[Test Case]

 * Edit the file /usr/share/python-apt/templates/Ubuntu.mirrors

 * Find your locale in this file and add a non-existent URL
   to the list

 * Run software-properties-gtk and choose your newly added
   URL from the "Download From" dropdown menu

 * Press "Close" in the bottom right, and when
   prompted press "Reload"

 * You should be presented with an error window rather than
   the program crashing

[Where problems could occur]

 * The new error window binds to the parent window. If the
   parent window has gotten into a bad state this could
   cause problems

Related branches

Julian Andres Klode (juliank) wrote :

I think this code originated from ximion, maybe he has an idea.

tags: added: rls-ee-incoming
description: updated
Julian Andres Klode (juliank) wrote :

This is a question about unsigned software that PackageKit could not ask.

affects: software-properties (Ubuntu) → packagekit (Ubuntu)
Changed in packagekit (Ubuntu):
importance: Undecided → Medium
status: New → Incomplete
status: Incomplete → Triaged
tags: removed: rls-ee-incoming
summary: - /usr/bin/software-properties-
- gtk:TypeError:on_pktask_finish:on_pktask_finish:new_init:__init__:new_init:__init__:new_init
+ gi.repository.GLib.GError: pk-client-error-quark: could not do untrusted
+ question as no klass support
tags: added: id-5ce6bfe06de363297ab7cde9
tags: added: rls-ee-incoming
tags: removed: rls-ee-incoming
tags: added: focal
Norbert (nrbrtx) wrote :

Still happens on Focal.
Happened when `software-properties-gtk` was opened, then [x] Source code checked, clicked Reload and got this message in the terminal.
The "Cache Refresh" window with text "Refreshing software cache" is still active, does not have close button. I killed it with `xkill`.

edurenye (edurenye) wrote :

This happened to me when I selected an FTP source, and apparently are deprecated, so I don't understand why they show up in the list. Using an HTTP source solved the problem.

tags: added: groovy
Sebastien Bacher (seb128) wrote :

How do you select the ftp source?

Sebastien Bacher (seb128) wrote :

The issue is the most e.u.c reported one in focal weekly

tags: added: rls-ff-incomong
tags: added: rls-ff-incoming
removed: rls-ff-incomong
Changed in packagekit (Ubuntu):
importance: Medium → High
Julian Andres Klode (juliank) wrote :

Oh wow, there are multiple bugs, and I thought this bug was about the actual crash:

pk-client-error-quark: could not do untrusted question as no klass support (8)

but it is about the handling of the crash:

TypeError: could not convert value for property `transient_for' from DialogCacheOutdated to GtkWindow

Fritz Hudnut (este-el-paz) wrote :

Adding my story here . . . in U-MATE running sources.list as "devel" and some of the list is ID-ing as "groovy" . . . it is showing as 20.10 . . . had some issues with the broadcom package not updating in apt, so on the U-MATE forum with wolfman and he had me look at my "Software & Updates" data, and while just looking at the items in "edit," and even though I changed nothing I got the same scenario as norbert in #3 post . . . where the "cache refresh" window opens, progress bar fills . . . but then window doesn't close--this time the crash report window opened.

I believe this happened previously and I might have FQd in the GUI . . . . I sent the crash report and it auto-loaded the dup bug report #1832057 . . . which linked me here.

tags: removed: rls-ff-incoming
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in packagekit (Ubuntu Focal):
status: New → Confirmed
Brian Murray (brian-murray) wrote :

The Eoan Ermine has reached end of life, so this bug will not be fixed for that release

Changed in packagekit (Ubuntu Eoan):
status: Triaged → Won't Fix
Norbert (nrbrtx) wrote :

Still happens on Groovy.
Opened `software-properties-gtk`, enabled Source Code and groovy-proposed, then it asked to reload cache. So I was moved to this bug report (really to bug 1832057) .

Alkis Georgopoulos (alkisg) wrote :

Same problem here when telling software-properties-gtk to refresh the cache, in Ubuntu MATE 20.04.1.

tags: added: fr-26
Sebastien Bacher (seb128) wrote :

the issue is on the top of e.u.c 20.10 now

Changed in packagekit (Ubuntu Focal):
importance: Undecided → High
William Wilson (jawn-smith) wrote :

Attached is a patch to SRU focal.

William Wilson (jawn-smith) wrote :

Attached is a patch to SRU groovy.

Brian Murray (brian-murray) wrote :

The version in the groovy debdiff will not work as 0.99.4 existed in hirsute for some period of time, you'll want to use 0.99.3.1.

William Wilson (jawn-smith) wrote :

I wrote a note to make sure I always look for old versions that no longer exist in later releases, and here is a corrected patch.

description: updated
Brian Murray (brian-murray) wrote :

I've sponsored this for Focal and Groovy.

Changed in packagekit (Ubuntu):
assignee: nobody → William Wilson (jawn-smith)
Changed in packagekit (Ubuntu Eoan):
assignee: nobody → William Wilson (jawn-smith)
Changed in packagekit (Ubuntu Focal):
assignee: nobody → William Wilson (jawn-smith)
Changed in packagekit (Ubuntu Groovy):
assignee: nobody → William Wilson (jawn-smith)
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

affects: packagekit (Ubuntu) → software-properties (Ubuntu)
Changed in software-properties (Ubuntu Groovy):
status: New → Confirmed

Hello errors.ubuntu.com, or anyone else affected,

Accepted software-properties into groovy-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/software-properties/0.99.3.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-groovy to verification-done-groovy. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-groovy. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in software-properties (Ubuntu Groovy):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-groovy
Changed in software-properties (Ubuntu Focal):
status: Confirmed → Fix Committed
tags: added: verification-needed-focal
Steve Langasek (vorlon) wrote :

Hello errors.ubuntu.com, or anyone else affected,

Accepted software-properties into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/software-properties/0.98.9.4 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

All autopkgtests for the newly accepted software-properties (0.98.9.4) for focal have finished running.
The following regressions have been reported in tests triggered by the package:

livecd-rootfs/2.664.15 (s390x)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/focal/update_excuses.html#software-properties

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Norbert (nrbrtx) on 2021-02-04
tags: added: verification-done-focal
removed: verification-needed-focal
tags: removed: eoan
Norbert (nrbrtx) wrote :

Tested package from -proposed on both Ubuntu MATE 20.04.2 LTS and 20.10.
Bug is now fixed. Thank you!

tags: added: verification-done-groovy
removed: verification-needed-groovy

All autopkgtests for the newly accepted software-properties (0.99.3.1) for groovy have finished running.
The following regressions have been reported in tests triggered by the package:

software-properties/0.99.3.1 (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/groovy/update_excuses.html#software-properties

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Mathew Hodson (mhodson) on 2021-02-07
Changed in software-properties (Ubuntu):
status: Triaged → Fix Committed
tags: removed: verification-needed
Changed in software-properties (Ubuntu Groovy):
importance: Undecided → Medium
Mathew Hodson (mhodson) on 2021-02-07
Changed in software-properties (Ubuntu Groovy):
importance: Medium → High
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.99.6

---------------
software-properties (0.99.6) hirsute; urgency=medium

  [ William 'jawn-smith' Wilson ]
  * Fixing an incorrect variable being passed to GTK message dialog creation
    function (LP: #1829401)

  [ Shivaram Lingamneni ]
  * Update livepatch code to remove use of python-requests-unixsocket;
    the usage is trivial and we can remove the dependency

 -- Brian Murray <email address hidden> Mon, 01 Feb 2021 16:08:37 -0800

Changed in software-properties (Ubuntu):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.98.9.4

---------------
software-properties (0.98.9.4) focal; urgency=medium

  * Fixing an incorrect variable being passed to GTK message dialog
    creation function (LP: #1829401)

 -- William 'jawn-smith' Wilson <email address hidden> Tue, 26 Jan 2021 16:30:07 -0600

Changed in software-properties (Ubuntu Focal):
status: Fix Committed → Fix Released

The verification of the Stable Release Update for software-properties has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package software-properties - 0.99.3.1

---------------
software-properties (0.99.3.1) groovy; urgency=medium

  * Fixing an incorrect variable being passed to GTK message dialog
    creation function (LP: #1829401)

 -- William 'jawn-smith' Wilson <email address hidden> Wed, 27 Jan 2021 09:10:21 -0600

Changed in software-properties (Ubuntu Groovy):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers